1.2.0-beta6
[!]缓解后台预读带来的内存碎片问题
[!]修复数个内存泄露问题
[!]修复无法在目录中打开中文文件名图像问题
[!]修复图像旋转设置无效问题
[!]修复改变图像亮度时竞争关系
[!]修复音乐系统竞争关系
[!]播放OGG文件时使用缓冲IO
[!]修复字型系统的BUG
[!]修复保存/读取文件位置菜单显示文件名乱码问题
[!]修复按键锁被打开后摇杆未被锁定问题
[!]修复文字编码设置为UTF-8时打开非UTF-8文本死机问题
[+]设置管理可以保存、装载多个播放列表
[+]添加at3 aa3 m4a音乐格式缓冲大小设置
1.2.0-beta5
[!]修复某些HTML文件转换后丢失内容问题
[!]修复某些非标准MP3格式声音拖慢问题
[!]打开所有音乐格式的内容缓冲,播放音乐时记忆棒不再狂闪
[!]修复大量内存泄露、两次释放问题,提高稳定性并节省内存
[!]优化TTA播放效率,流畅播放从原来的需要222Mhz到现在的只需111Mhz
[!]修复PSP摇秆出故障时假死问题
[!]阅读电子书时状态栏开启TTF模式后不再闪烁显示时间
[+]加入图像后台预读功能，默认开启缓冲10张图像
[+]支持打开"CBZ" 漫画压缩档案
[+]支持打开"CBR" 漫画压缩档案
[+]加入fonts.conf字体配置文件，可根据配置优化字体显示效果
1.2.0-beta4
[!]修正随机播放次序
[!]修复在恢复菜单中开启记忆棒加速后，书签功能失灵问题
[!]修复自动滚屏速度太慢问题
[!]修复音乐系统中多个BUG, 稳定性进一步提高
[!]为防止爆音，播放MP3时CPU频率提高到48Mhz
[+]支持显示MP3 lame帧信息(设置配置文件中show_encoder_msg=on后)
[+]允许长按左右耳朵键对音乐文件进行快进/退
[+]在音乐条中允许按上键快进30秒，按下键快退30秒
[+]支持ogg格式
[+]支持wma格式，与cooleyes合作研究硬解WMA成功
[+]支持AT3/AA3/OMA格式(Atrac3/Atrac3Plus编码)
[+]支持AAC/MP4/M4A格式(AAC LE编码)
[+]支持打开"THM" PSP视频预览文件
1.2.0-beta3
[!]修复某些长文件名不能完全显示导致不能打开问题
[!]修复压缩档案中显示文件排序方式为以文件大小无效问题
[!]修复切换频率时线程竞争关系
[!]修复音乐系统中多个BUG, 稳定性进一步提高
[+]自动打开千千静听保存在MP3 ID3v2标签中的歌词信息
[+]允许长按线控快进/退键对音乐文件进行快进/退, 长按线控播放键休眠PSP
[+]支持Musepack SV8
[+]添加图像磁性滚动功能, 可在图像边缘处不滚动直接翻下一页
[+]添加看图选项翻页滚动间隔/翻页滚动时长功能, 进一步控制翻页滚动
1.2.0-beta2
[!]修复退出时有极小机率死机问题
[!]取消默认强制检查MP3校验和，提高某些MP3装载速度及启动xReader速度
[!]修复某些MP3不能正确播放的问题
[+]添加MP3缓冲代码，播放MP3时MS灯不再狂闪
[+]MP3支持ME播放，播放时CPU频率仅需33Mhz
[+]支持APE格式（最高支持标准压缩方式）
[+]支持FLAC格式
[+]音乐条上显示动态比特率（如果有），以及编码格式
[+]在音乐条按L+R键可重启音频系统，音频系统出问题时可试试
1.2.0-beta
[!]修复上次保存图像、文件位置更新错误
[!]修复HTML、CHM显示乱码、死机等问题
[!]修复待机时死机问题
[!]随机播放完其它歌曲之前，不再会重复播放同一首歌
[!]修复操作灵敏度不足问题
[!]修复自动翻页时间变长问题
[+]在图像幻灯片播放状态下，按○键暂停幻灯片移动或到下一幅图像，按L/R键直接移动到上/下一幅图像
[+]重写音乐播放系统，目前支持Musepack、MP3、WAV、TTA格式
[+]MP3标签支持ID3v1、ID3v2、APE标签显示
[+]MP3支持VBRI信息，如果有此信息的MP3装载速度将大幅加快
1.1.0-release10
[!]修复文章末尾翻页设置为下篇文章时自动书签失效问题
[!]修复FAT模块竞争状态导致启动xReader可能显示错误目录内容问题
[!]修复自动休眠激活时死机问题
[!]修复压缩档案中文本文件最尾部可能出现乱码现象
[!]修复开启TTF后待机花屏的问题
[!]修复迷你版xReader使用完全版xReader配置文件时无法启动问题
[!]修复目录类型不同导致返回前一文件失败问题
[!]修复图像亮度设置按右键无法设置为100%问题
[!]先上下滚动和先左右滚动等图像翻页方式将自动滚动到新位置
[!]修复保存／读取文件位置目录名显示".."问题
[+]加入对“加密文件名”的RAR文件支持
[+]电子书状态栏改为百分率显示，并可显示当前时间与剩余电量
[+]美化状态栏和滚动条显示方式，状态栏可调节字体大小，滚动条可调节宽度
[+]加入隐藏文件显示最后一行功能，解决分行问题
[+]可在输入GI值时输入百分比进行跳转
[+]加入TTF字体装载出错提示
[+]文字竖看时设置为左向或者右向时TTF显示效果改善
[+]加入繁体中文英文支持，感谢staroffice
[+]加入英文单词换行自动截断功能
[+]允许只使用一个中文TTF字体启用TTF功能
1.1.0-release9
[!]修复退出软件时书签不能自动保存问题
[!]修复修改信息栏显示方式移动到TXT尾部问题
[!]修复了CHM打开可能死机的错误
[!]修复开启TTF后待机死锁的问题
[!]修复迷你版xReader待机后不能启动的问题
[!]修复幻灯播放时自动休眠不工作的问题
[+]系统按键中加入“返回先前文件”
[+]能够打开有密码的ZIP、RAR档案文件，并可保存密码到password.lst
1.1.0-release8
[!]修复3.71固件下无法打开文件夹问题
[!]修复书签不能导出导入问题
[!]修复编码代码BUG，如果选错编码不再会死机
[!]放弃亮度控制代码，如果想用最低亮度功能请使用CMF
[+]可选不将TTF字体装载到内存，以速度的下降换取更多的内存
[+]可以启动ISO、CSO游戏
[+]在xReader中启动游戏或自制软件后，退出时将返回xReader
1.1.0-release7
[!]恢复蓝屏死机显示并保存技术信息到exception.log
[!]TTF字体显示时提高CPU频率，加快显示速度
[!]修复固件3.95GEN-2下不能打开中文文件名文件等错误
[!]改善固定亮度显示功能，增加亮度级数
[!]重构代码
1.1.0-release6
[!]修复播放音乐导致无法打开文件问题
[!]修复随机播放模式下直接播放音乐错误问题
[!]播放音乐时最低频率降低为111Mhz
[!]修复一些小Bug，加快翻页速度
[+]在菜单、音乐条中支持禁用屏保
[+]加入国际化支持，目前支持英文
[+]加入界面语言设置、PSP LCD固定亮度显示设置
[+]加入重启xReader功能
[+]加入文件强制使用文字模式打开功能
[+]加入手动输入GI功能
1.1.0-release5
[!]修复文字竖看设置为左向可能死机问题
[!]修复字体设置变动后没有重新刷新文件问题
[!]修复使用大字体时书签预览字数太少问题
[+]MP3标签支持APETagV2和ID3TagV2
1.1.0-release4
[!]执行自制软件前保存配置
[!]修复剩余内存显示越界问题
[!]修复星期显示错误
1.1.0-release3
[!]修复无法移动复制文件问题
[!]代码上的小调整
[+]实现对以前版本配置文件的兼容性
[+]移动复制文件目录失败时会有提示
1.1.0-release2
[!]修复星期显示错误
[!]将字间距、行间距、保留边距设置移动到字体设置
[!]TTF字体大小、字间距、行间距最大可以为128
[!]修复超大字间距时最右边保留一排问题
1.1.0-release1
[!]配置文件改为ini存储
[!]修复realloc()分配失败时内存泄露问题
[!]修正TTF显示时删除空行及翻页行数错误问题
[!]阅读文本信息栏改为TTF字体显示
[!]修复无法取消背景图配置问题
[!]更新fat.c，加强文件系统兼容性
[!]使用了zinph提供的图标
[!]修复文本最后一行如果为单个字符后不加空行丢失问题
[!]默认隐藏Flash0、Flash1
[+]TAB显示为4空格
[+]打开有许多文件的压缩包时更节省内存
[+]信息栏里增加星期显示
1.0.2.0发布预选十二
[!]修复解压缩内存不足时死机问题
[!]重新编排文本将自动换行的TXT重新分段
[!]修复TF转MS卡打开目录死机问题
[+]TTF显示使用ClearType技术
[+]允许切换使用任意目录、压缩包中的TTF字体
[+]粘贴重名文件时会提示是否覆盖文件
[+]允许在运行时更换MS卡，换卡前要求先退到文件列表最上级
1.0.2.0发布预选十一
[!]修复音乐配置不保存问题
[!]修复背景图像丢失后背景颜色设置无效问题
[!]修复GZIP文件打开失败时内存泄露问题
[!]修复超长（>256字节）档案文件名无法打开问题
[!]修复按L键启动后屏幕随机出现调试字符串问题
[!]缺省文件排序方式改为按文件名排序
[+]阅读文本信息栏改为菜单字体显示
[+]启动时按R键会重置启动配置和音乐配置
[+]在编辑音乐列表中按START键可以直接播放选中音乐
[+]允许将压缩包，CHM中的图像作为背景
[+]允许将压缩包，CHM中的文件解压缩到目录里
   注意：由于技术限制，复制文件名的汉字将被截去
1.0.2.0发布预选十
[!]临时修复音乐条中作家与音乐标题颠倒问题
[!]彻底清查缓冲溢出问题
[!]修复切换缩放模式时反应过快问题
[!]修复GZIP文件格式内存分配过多问题
[!]修复无法保存上次自动翻页设置问题
[!]修复多次创建MP3线程问题
[!]修复屏幕字体过大时不正常回绕现象
[!]修复TTF英文字体在自动滚屏时第一行乱码问题
[!]修复保存读取文件位置部分文件不能工作问题
[!]修复文件目录菜单、音乐条播放列表中中超长汉字文件名被不正常截断问题
[!]修复音乐条播放列表中显示出界问题
[!]更新libfreetype到2.3.5,TTF字体显示略有改进
[+]加入JPG EXIF信息读取功能，在信息栏（缺省按方块键）显示，在看图设置中可关
   对JPEG文件按三角键再按SELECT可以看详细的EXIF信息
[+]加入自动保存屏幕亮度功能
[+]加入设置管理功能，可管理多个xReader设置选项（不含music.conf)
   注：0号设置为保留设置，程序启动/退出时会自动装载/保存当前设置从/到0号设置。
[+]加入从xReader中启动其它自制程序功能，方法是打开相应程序目录里的EBOOT.PBP，
   注: 在系统设置里添加了启动方式选择，如果是PS游戏要选PS游戏方式启动才行
1.0.2.0发布预选九
[!]重新编译原有JPEG库，jpg读取速度提高40％
[!]默认使用图像缩放方式为两次插值
[!]修复删除播放列表中音乐文件导致播放功能失灵问题
[!]尝试修复8GMS卡问题，没有实际测试
[!]修复变频点，打开文件、压缩包、CHM和目录等时使用正常频率
1.0.2.0发布预选八
[!]更新M33 SDK至3.80并更新PSPSDK到Rev2360重新编译
[!]修复打开CHM文件时死机问题
[!]修复CHM目录文件名乱码问题
[!]修复音乐条中按Start键反应过快问题，长按Start键时放开音乐条就会关闭
[!]修复潜在的音乐和文件系统模块的BUG
[!]禁用16进制方式查看时自动加载书签
[!]加入文件打开失败错误提示
[!]修复长按上级目录返回上级目录过快问题
[!]去掉阅读图像时反向卷动功能，只需将图片起始位置设置为右上即可从右到左浏览图像
[!]加速低频率下切换字体速度
[+]恢复音乐条中可用内存显示，怀疑内存不足时看看（菜单字体大小小于14才会出现）
[+]恢复Flash0和Flash1访问功能
1.0.2.0发布预选七
[!]紧急修复3.80固件下总线频率设置为166Mhz的错误
[!]紧急修复自动休眠更多问题 
[!]紧急修复阅读电子书时自动翻页时休眠无效问题
[!]修复预选六中WMA音乐不播放问题
[+]加入ASC18和GBK18字体
[+]加入自动休眠功能，在阅读电子书或看图时可在空闲超过一定时间后休眠
[+]加入阅读图像时反向卷动功能，可从右到左浏览图像，适用于日本漫画
1.0.2.0发布预选六
[!]压缩档案中未知类型文件使用十六进制方式打开
[!]默认关闭USB支持，如要启用自行设置
[+]启动时按下左耳朵键时进入调试记录模式，并在启动时显示启动信息，记录文件在
xReader目录中log.txt
[+]此版本开始xReader已经带有eReader2中的ME播放引擎，然而由于没有解决死机问题而
没有启用ME播放
1.0.2.0发布预选五
[!]紧急修复汉字显示模块显示溢出问题
[!]紧急修复一个文字竖看可能导致死机的缓冲区溢出问题
[!]加快启动速度
[!]修复RAR文件名编码BUG,能够处理Unicode RAR文件名
[!]修复图像信息栏切换按键响应速度过快问题
[!]修正图像翻页模式翻页响应速度过快问题
[!]加强xrPrx安全性
[!]加强显示模块健壮性
[!]修正设置频率为15/33Mhz时总线频率不变问题
[!]修正文件系统死锁错误
[!]默认音乐目录地址减少到只有"\MUSIC"以加快启动速度
[+]启动时显示进度信息
[+]电子书信息栏显示自动翻页相关信息
[+]加入LRC编码选项,在mp3信息条内按左+三角键切换歌词编码,原ID3编码切换改为右+三角键
1.0.2.0发布预选四
[+]加入暂停自动翻页快捷键,,到阅读按键自行设置
[!]允许向前翻页滚屏功能,方法是设置翻页滚屏速度为负数
[+]加入禁用摇杆功能
[!]去掉内存显示
[!]显示部分使用GE
[!]修正扩展名排序问题
[!]3.71下BUS频率可以降到95
[!]修正待机死机问题
[!]加快菜单显示速度
[!]去掉当无缩略图显示时图像移动延迟问题
1.0.2.0发布预选三
[!]修正打开损坏压缩包时死机问题
[!]修正打开空文件夹时死机问题
[!]修正USB选项菜单异常重置USB问题
[+]加入eReader2中的默认背景图像
[+]加入更多默认音乐目录地址: "\MP3", "\MUSIC", "\PSP\MUSIC"
[+]在固件版本PSP2000 3.71 M33-3中能使用52MB内存,打开更大图像,更大文件
[+]加入自动换行功能
[+]界面的小修正
1.0.2.0发布预选二
[!]修正不能缩放旋转问题
[+]加入.txt.gz压缩文件支持
[+]加入禁用屏幕保护功能,开启后PSP屏幕不会关闭
[+]加入15MhzCPU频率
[+]文字坚看加入颠倒显示功能
[!]修正节能选项BUG
[!]更新原12,16英文字体为fixed.fon和vt100.fon,加入ASC10和GBK10字体
[!]修正压缩包超长文件名排序失效问题
